All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface NumericExtension

All Superinterfaces:
  AbstractExtension, CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, java.rmi.Remote, Root, SecondaryType

    public interface NumericExtension

extends AbstractExtension

This allows an application to create a numeric extension to any object.

Attributes of NumericExtension are:

- `NumericValue`

Associations of NumericExtension are:

## Usage

To create an instance of this NumericExtension, use the `factory` create methods.
Example: create a NumericExtension with name "NumericExtension_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     NumericExtension myObject = (NumericExtension) factory.createComplexMetadataObject(objectStore, "NumericExtension_Object", MetadataObjects.NUMERICEXTENSION, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ATTRIBUTE_NUMERICVALUE_NAME` Constant used for the name of the NumericValue attribute.

Fields inherited from interface com.sas.metadata.remote.AbstractExtension
`ASSOCIATION_OWNINGOBJECT_NAME, ATTRIBUTE_EXTENSIONTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract double` | `getNumericValue()` Gets the `double` value of `NumericValue`
`abstract int` | `getNumericValueState()` Gets the Metadata State of `NumericValue`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setNumericValue(double inNumericValue)` Sets the `NumericValue` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setNumericValue(double inNumericValue, int state)` Sets the `NumericValue` Metadata State.
`abstract void` | `setNumericValue(java.lang.String inNumericValue)` Sets the `NumericValue` value and sets the state to MetadataState.LOCAL
`abstract void` | `setNumericValue(java.lang.String inNumericValue, int state)` Sets the `NumericValue` value and Metadata State.
`abstract void` | `setNumericValueState(int state)` Sets the Metadata State of `NumericValue`.

Methods inherited from interface com.sas.metadata.remote.AbstractExtension
`getExtensionType, getExtensionTypeMaxLength, getExtensionTypeState, getOwningObject, getOwningObjects, getOwningObjects, setExtensionType, setExtensionType, setExtensionTypeState, setOwningObject, setOwningObjects, setOwningObjects`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_NUMERICVALUE_NAME

    static final java.lang.String ATTRIBUTE_NUMERICVALUE_NAME

  Constant used for the name of the NumericValue attribute.

  NumericValue: This is the actual value of the extension.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `AbstractExtension`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `SecondaryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `AbstractExtension`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `SecondaryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getNumericValue

    double getNumericValue()
                           throws java.rmi.RemoteException

  Gets the `double` value of `NumericValue`

  Returns:
    The `NumericValue`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getNumericValueState

    int getNumericValueState()
                             throws java.rmi.RemoteException

  Gets the Metadata State of `NumericValue`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### setNumericValue

    void setNumericValue(double inNumericValue)
                         throws java.rmi.RemoteException

  Sets the `NumericValue` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inNumericValue` - double
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumericValue

    void setNumericValue(double inNumericValue,
                         int state)
                         throws java.rmi.RemoteException

  Sets the `NumericValue` Metadata State.

  Parameters:
    `inNumericValue` - double
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumericValue

    void setNumericValue(java.lang.String inNumericValue)
                         throws java.rmi.RemoteException

  Sets the `NumericValue` value and sets the state to MetadataState.LOCAL

  Parameters:
    `inNumericValue` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumericValue

    void setNumericValue(java.lang.String inNumericValue,
                         int state)
                         throws java.rmi.RemoteException

  Sets the `NumericValue` value and Metadata State.

  Parameters:
    `inNumericValue` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setNumericValueState

    void setNumericValueState(int state)
                              throws java.rmi.RemoteException

  Sets the Metadata State of `NumericValue`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.